Subject: Follow up to New Question:
From: [email-masked] (Kermit Tensmeyer)

26 Sep 1997 10:57:06 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Output of Makefile:

cd ~/
make -k rrexec.exe
gcc  -o rrexec.exe rrexec.o 
C:/gnuwin32/H-i386-cygwin32/i386-cygwin32/lib/libwsock32.a
rrexec.o(.text+0x172):rrexec.c: undefined reference to `rexec'
rrexec.o(.text+0x1c1):rrexec.c: undefined reference to `recv'
gcc: Internal compiler error: program ld got fatal signal 1
make: *** [rrexec.exe] Error 1

Compilation exited abnormally with code 2 at Fri Sep 26 12:08:16

 rather than rely on the -l form I added the explict load of the
 library.

 in library libwsock32.a I extracted the symbols, and found this

ds62.o:
00000000 b .bss
00000000 d .data
00000000 ? .idata$4
00000000 ? .idata$5
00000000 ? .idata$6
00000000 ? .idata$7
00000000 t .text
00000000 ? ___imp_rexec@24
         U __head_libwsock32_a
00000000 T _rexec@24

   from this I conclude that somehow the function call 'rexec' 
 does _not_ get statisfied to the ident _rexec@24_.

 so how is gnuwin32 differenet from the orthodox Gnu C compiler?

  oh yes, the code was copied from the GNU C for Unix and linked
 without explict libraries.

  Under GNU C, rexec and recv are included in the libc.a..
-- 
-------
  Kermit Tensmeyer    (E & T - Networking)
  [email-masked]     Dallas
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".